<template>
  <div>
    <table class="w-full table-fixed border-collapse border border-slate-400">
      <thead>
        <tr>
          <th
            v-for="(category, index) in categories"
            :key="index"
            class="border border-slate-300 p-2"
          >
            {{ category }}
          </th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(item, index) in dataItems?.items" :key="index" class="even:bg-rose-200 odd:bg-blue-200">
          <td
            v-for="(key, index) in dataItems?.keys"
            :key="index"
            class="border border-slate-300 p-2"
          >
            {{ item[key] }}
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script setup lang="ts">
const props = defineProps({
  dataItems: {
    type: Object,
    default: () => {},
  },
});
const categories = computed(() => {
  if (props.dataItems?.categories) return props.dataItems?.categories;
  if (props.dataItems?.keys) return props.dataItems?.keys;
  return []
});
</script>

<style scoped></style>
